OpenJPH: ojph::local::rev_struct Struct Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph::local::rev_struct Struct Reference

A structure for reading and unstuffing a segment that grows backward, such as VLC and MRP. More...

## Public Member Functions
| rev_struct ()
| rev_struct ()
| rev_struct ()
| rev_struct ()

## Public Attributes
ui8 * | data
| pointer to where to read data
ui64 | tmp
| temporary buffer of read data
ui32 | bits
| number of bits stored in tmp
int | size
| number of bytes left
bool | unstuff

## Detailed Description

A structure for reading and unstuffing a segment that grows backward, such as VLC and MRP.

Definition at line 275 of file ojph_block_decoder32.cpp.

## Constructor & Destructor Documentation

## ◆ rev_struct() [1/4]

ojph::local::rev_struct::rev_struct | ( |  | ) |
| inline

Definition at line 276 of file ojph_block_decoder32.cpp.

References bits, data, size, tmp, and unstuff.

## ◆ rev_struct() [2/4]

ojph::local::rev_struct::rev_struct | ( |  | ) |
| inline

Definition at line 276 of file ojph_block_decoder64.cpp.

References bits, data, size, tmp, and unstuff.

## ◆ rev_struct() [3/4]

ojph::local::rev_struct::rev_struct | ( |  | ) |
| inline

Definition at line 286 of file ojph_block_decoder_vsx.cpp.

References bits, data, size, tmp, and unstuff.

## ◆ rev_struct() [4/4]

ojph::local::rev_struct::rev_struct | ( |  | ) |
| inline

Definition at line 286 of file ojph_block_decoder_wasm.cpp.

References bits, data, size, tmp, and unstuff.

## Member Data Documentation

## ◆ bits

ui32 ojph::local::rev_struct::bits

number of bits stored in tmp

Definition at line 281 of file ojph_block_decoder32.cpp.

Referenced by ojph::local::rev_advance(), ojph::local::rev_advance_mrp(), ojph::local::rev_fetch(), ojph::local::rev_fetch_mrp(), ojph::local::rev_init(), ojph::local::rev_init_mrp(), ojph::local::rev_read(), ojph::local::rev_read_mrp(), and rev_struct().

## ◆ data

ui8 * ojph::local::rev_struct::data

pointer to where to read data

Definition at line 279 of file ojph_block_decoder32.cpp.

Referenced by ojph::local::rev_init(), ojph::local::rev_init_mrp(), ojph::local::rev_read(), ojph::local::rev_read_mrp(), and rev_struct().

## ◆ size

int ojph::local::rev_struct::size

number of bytes left

Definition at line 282 of file ojph_block_decoder32.cpp.

Referenced by ojph::local::rev_init(), ojph::local::rev_init_mrp(), ojph::local::rev_read(), ojph::local::rev_read_mrp(), and rev_struct().

## ◆ tmp

ui64 ojph::local::rev_struct::tmp

temporary buffer of read data

Definition at line 280 of file ojph_block_decoder32.cpp.

Referenced by ojph::local::rev_advance(), ojph::local::rev_advance_mrp(), ojph::local::rev_fetch(), ojph::local::rev_fetch_mrp(), ojph::local::rev_init(), ojph::local::rev_init_mrp(), ojph::local::rev_read(), ojph::local::rev_read_mrp(), and rev_struct().

## ◆ unstuff

bool ojph::local::rev_struct::unstuff

true if the last byte is more than 0x8F then the current byte is unstuffed if it is 0x7F

Definition at line 283 of file ojph_block_decoder32.cpp.

Referenced by ojph::local::rev_init(), ojph::local::rev_init_mrp(), ojph::local::rev_read(), ojph::local::rev_read_mrp(), and rev_struct().

The documentation for this struct was generated from the following files:

- /build/openjph/src/OpenJPH/src/core/coding/ojph_block_decoder32.cpp
- /build/openjph/src/OpenJPH/src/core/coding/ojph_block_decoder64.cpp
- /build/openjph/src/OpenJPH/src/core/coding/ojph_block_decoder_vsx.cpp
- /build/openjph/src/OpenJPH/src/core/coding/ojph_block_decoder_wasm.cpp